//||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
//|||| Name   : Random_Song.gsc 
//|||| Info     : A Simple way to play music in your map
//|||| Site     : www.ugx-mods.com
//|||| Author : [UGX] SajeOne
//|||| Notes  : For assistance please comment on forum post or to my personal profile
//|||| Version : 1.0
//||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||


#include common_scripts\utility; 
#include maps\_zombiemode_utility;
#include maps\_utility;

random_song_think()
{
trig = getEnt("random_song","targetname");
cost = 100; //Cost to buy a song( if you want it to be nothing set to zero)
////////////////////////////////Sound Files Section////////////////////////////////
song = [];
song[2] = "mx_lullaby"; //Song 1
song[3] = "mx_beauty"; //Song 2
song[4] = "mx_the_one"; //Song 3
////////////////////////////////Song Name Section////////////////////////////////
song_string = [];
song_string[2] = "Lullaby For A Dead Man"; //Song 1
song_string[3] = "Beauty Of Annihilation"; //Song 2
song_string[4] = "The One"; //Song 3
////////////////////////////////Song Time Section////////////////////////////////
song_time = [];
song_time[2] = 260; //Song 1
song_time[3] = 290; //Song 2
song_time[4] = 300; //Song 3
trig SetCursorHint("HINT_NOICON");
trig SetHintString("The power must be activated first"); //Delete to work with no electricity
flag_wait("electricity_on"); //Delete to work with no electricity
trig SetHintString("Press & Hold &&1 To Play Random Song [Cost: "+cost+"]");
	while(1)
		{
			trig waittill("trigger", user);
				if(user.score >= cost)
					{
						j = RandomInt(song.size);
						user playsound( "cha_ching" );
						user thread maps\_zombiemode_score::minus_to_player_score( cost );
						trig SetHintString("Song Playing...");
						wait 5;
						iprintln("^0Playing: ^4" + song_string[j]);
						user playsound(song[j]);
						wait(song_time[j]);
						trig SetHintString("Press & Hold &&1 To Play Random Song [Cost: "+cost+"]");
					}
		}
}